# Copyright 2013-2022 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)


from spack import *


class WfBrainscales2Demos(BundlePackage):
    """Meta-package to collect all dependencies for the BrainScaleS-2 demos/tutorials."""

    homepage="https://electronicvisions.github.io/documentation-brainscales2/"

    version("23.6")

    depends_on('py-matplotlib@3.5.1:')
    depends_on('py-ipywidgets@7.7.0:')
    depends_on('py-ipycanvas@0.10.2:')
    depends_on('py-numpy@1.21.6:')
    depends_on('py-ipython@8.0.1:')
    depends_on('py-quantities@0.13.0:')
    depends_on('py-torch@1.11.0:')
    depends_on('py-torchvision@0.12.0:')
    depends_on('py-tqdm@4.62.3:')
    depends_on('py-requests@2.26.0:')
    depends_on('py-neo@0.11.1:')
    depends_on('py-scipy@1.8.1:')
    depends_on('py-deap@1.3:')
    depends_on('py-pandas@1.4.2:')
